#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 10. Graphics and Font Libraries

- Prev

  GLM-1.0.3

- Next

  libglycin-gtk4 from glycin-2.1.1

- Up
- Home

# glycin-2.1.1

## Introduction to glycin

The glycin package contains a sandboxed and extendable image loading framework.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/glycin/2.1/glycin-2.1.1.tar.xz

- Download MD5 sum: 411550c5da777a952bb6c811fd882156

- Download size: 6.8 MB

- Estimated disk space required: 1.4 GB (with documentation, add 1 GB for tests)

- Estimated build time: 3.8 SBU (with documentation, add 2.5 SBU for tests)

### Additional Downloads

- Recommended patch (required if installing Xorg into `/opt`): https://www.linuxfromscratch.org/patches/blfs/svn/glycin-2.1.1-xorg_prefix-1.patch

### glycin Dependencies

#### Required

bubblewrap-0.11.2 (runtime), Fontconfig-2.17.1, GLib-2.88.0 (GObject Introspection recommended), Little CMS-2.19, libseccomp-2.6.0, and rustc-1.95.0

### Note

An Internet connection is needed for building this package. The system certificate store may need to be set up with make-ca-1.16.1 before building this package.

#### Recommended

libheif-1.21.2, libjxl-0.11.2, librsvg-2.62.1, and Vala-0.56.19

#### Optional

Gi-DocGen-2026.1, GTK-4.22.4 (for the test suite), and libopenraw

## Installation of glycin

If installing Xorg into `/opt`, download the needed Rust crates now and apply a patch to allow accessing `$XORG_PREFIX/lib` from the sandbox (note that the patch requires `XORG_PREFIX` to be set properly for both the current user and for `root` following Xorg build environment before building glycin):

    cargo vendor &&
    patch -Np1 -i ../glycin-2.1.1-xorg_prefix-1.patch

Fix a build error when a system libglycin is not yet installed:

    sed -e "s/get_option('libglycin-gtk4')/(& or get_option('glycin-thumbnailer'))/" \
        -i meson.build

Install glycin by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr           \
                --buildtype=release     \
                -D libglycin-gtk4=false \
                -D tests=false ..       &&
    ninja

If you have installed Gi-DocGen-2026.1, you can build the documentation by issuing:

    sed "/install_dir:.*doc/s|,$| / 'glycin-' + meson.project_version()&|" \
        -i ../libglycin/meson.build &&

    meson configure -D capi_docs=true &&
    ninja

To test the results, ensure GTK-4.22.4 is installed, then issue: meson configure -D tests=true && ninja test.

Now as the `root` user:

    ninja install

## Command Explanations

`-D glycin_gtk4=false`: This parameter disables the build of `libglycin-gtk4`. This library will be built separately as libglycin-gtk4 from glycin-2.1.1, to avoid a circular dependency.

`-D glycin-loaders=...`: Use this option to specify the image loaders to be built. The default is `glycin-heif,glycin-image-rs,glycin-jxl,glycin-svg`, covering support for all commonly used image formats. You may remove the `glycin-heif`, `glycin-jxl`, or `glycin-svg` loader if the corresponding recommended dependency is not installed, but doing so will cause test failures and hamper the functionality of this package. There is also a loader for the RAW format but it is not enabled by default.

`-D vapi=false`: This option allows building this package without Vala-0.56.19 installed.

## Contents

Installed Program: glycin-thumbnailer
Installed Library: libglycin-2.so
Installed Directories: /usr/include/glycin-2, /usr/libexec/glycin-loaders, /usr/share/glycin-loaders, and optionally /usr/share/doc/glycin-2.1.1

### Short Descriptions

glycin-thumbnailer | creates thumbnails for images in a format supported by glycin
`libglycin-2.so` | contains image loading functions which work by running glycin loaders in a sandbox environment

- Prev

  GLM-1.0.3

- Next

  libglycin-gtk4 from glycin-2.1.1

- Up
- Home